package io.gitlab.jfronny.inceptum.gtk.util;

import org.gtk.gtk.Widget;

public class Dbg {
    public static String inspect(Widget ptr) {
        if (ptr == null) return "<null>";
        StringBuilder sb = new StringBuilder();
        inspect(ptr, sb, "");
        return sb.toString();
    }

    private static void inspect(Widget ptr, StringBuilder bld, String indent) {
        bld.append(indent).append("<").append(ptr.name).append("#").append(ptr.handle()).append("> ")
                .append(ptr.getCssClasses().get());
        ptr = ptr.firstChild;
        while (ptr != null) {
            bld.append("\n");
            inspect(ptr, bld, indent + "    ");
            ptr = ptr.nextSibling;
        }
    }
}
